Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface Primitives.SnlPrimitives

Enclosing interface:
  Primitives

    public static interface Primitives.SnlPrimitives

A full set SNL primitives complying with SwiftNet Link Specification and DTD set.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Method Summary
`Sw_AbortFileRequest` | `getSw_AbortFileRequest()` Gets the AbortFileRequest.
`Sw_AbortFileResponse` | `getSw_AbortFileResponse()` Gets the AbortFileResponse.
`Sw_ExchangeFileRequest` | `getSw_ExchangeFileRequest()` Gets the ExchangeFileRequest.
`Sw_ExchangeFileResponse` | `getSw_ExchangeFileResponse()` Gets the ExchangeFileResponse.
`Sw_ExchangeSnFRequest` | `getSw_ExchangeSnFRequest()` Gets the ExchangeSnFRequest.
`Sw_ExchangeSnFResponse` | `getSw_ExchangeSnFResponse()` Gets the ExchangeSnFResponse.
`Sw_FetchFileRequest` | `getSw_FetchFileRequest()` Gets the FetchFileRequest.
`Sw_FetchFileResponse` | `getSw_FetchFileResponse()` Gets the FetchFileResponse.
`Sw_GetDateTimeRequest` | `getSw_GetDateTimeRequest()` Gets the GetDateTimeRequest.
`Sw_GetDateTimeResponse` | `getSw_GetDateTimeResponse()` Gets the GetDateTimeResponse.
`Sw_GetFileDigestRequest` | `getSw_GetFileDigestRequest()` Gets the GetFileDigestRequest.
`Sw_GetFileDigestResponse` | `getSw_GetFileDigestResponse()` Gets the GetFileDigestResponse.
`Sw_GetFileStatusRequest` | `getSw_GetFileStatusRequest()` Gets the GetFileStatusRequest.
`Sw_GetFileStatusResponse` | `getSw_GetFileStatusResponse()` Gets the GetFileStatusResponse.
`Sw_GetSnFStatusRequest` | `getSw_GetSnFStatusRequest()` Gets the GetSnFStatusRequest.
`Sw_GetSnFStatusResponse` | `getSw_GetSnFStatusResponse()` Gets the GetSnFStatusResponse.
`Sw_HandleFileEventRequest` | `getSw_HandleFileEventRequest()` Gets the HandleFileEventRequest.
`Sw_HandleFileEventResponse` | `getSw_HandleFileEventResponse()` Gets the HandleFileEventResponse.
`Sw_HandleFileRequest` | `getSw_HandleFileRequest()` Gets the HandleFileRequest.
`Sw_HandleFileResponse` | `getSw_HandleFileResponse()` Gets the HandleFileResponse.
`Sw_HandleInitRequest` | `getSw_HandleInitRequest()` Gets the HandleInitRequest.
`Sw_HandleInitResponse` | `getSw_HandleInitResponse()` Gets the HandleInitResponse.
`Sw_HandleResponseInfoRequest` | `getSw_HandleResponseInfoRequest()` Gets the HandleResponseInfoRequest.
`Sw_HandleResponseInfoResponse` | `getSw_HandleResponseInfoResponse()` Gets the HandleResponseInfoResponse.
`Sw_HandleSnFRequest` | `getSw_HandleSnFRequest()` Gets the HandleSnFRequest.
`Sw_HandleSnFResponse` | `getSw_HandleSnFResponse()` Gets the HandleSnFResponse.
`Sw_HandleTermRequest` | `getSw_HandleTermRequest()` Gets the HandleTermRequest.
`Sw_HandleTermResponse` | `getSw_HandleTermResponse()` Gets the HandleTermResponse.
`Sw_InitRequest` | `getSw_InitRequest()` Gets the InitRequest.
`Sw_InitResponse` | `getSw_InitResponse()` Gets the InitResponse.
`Sw_KMACertifyRequest` | `getSw_KMACertifyRequest()` Gets the CertifyRequest.
`Sw_KMACertifyResponse` | `getSw_KMACertifyResponse()` Gets the CertifyResponse.
`Sw_KMACertInfoRequest` | `getSw_KMACertInfoRequest()` Gets the CertInfoRequest.
`Sw_KMACertInfoResponse` | `getSw_KMACertInfoResponse()` Gets the CertInfoResponse.
`Sw_KMACertListRequest` | `getSw_KMACertListRequest()` Gets the CertListRequest.
`Sw_KMACertListResponse` | `getSw_KMACertListResponse()` Gets the CertListResponse.
`Sw_KMAChangePasswordRequest` | `getSw_KMAChangePasswordRequest()` Gets the ChangePasswordRequest.
`Sw_KMAChangePasswordResponse` | `getSw_KMAChangePasswordResponse()` Gets the ChangePasswordResponse.
`Sw_ListFileStatusRequest` | `getSw_ListFileStatusRequest()` Gets the ListFileStatusRequest.
`Sw_ListFileStatusResponse` | `getSw_ListFileStatusResponse()` Gets the ListFileStatusResponse.
`Sw_PullSnFRequest` | `getSw_PullSnFRequest()` Gets the PullSnFRequest.
`Sw_PullSnFResponse` | `getSw_PullSnFResponse()` Gets the PullSnFResponse.
`Sw_SMAGetStatusRequest` | `getSw_SMAGetStatusRequest()` Gets the SMAGetStatusRequest.
`Sw_SMAGetStatusResponse` | `getSw_SMAGetStatusResponse()` Gets the SMAGetStatusResponse.
`Sw_SubscribeFileEventRequest` | `getSw_SubscribeFileEventRequest()` Gets the SubscribeFileEventRequest.
`Sw_SubscribeFileEventResponse` | `getSw_SubscribeFileEventResponse()` Gets the SubscribeFileEventResponse.
`Sw_TermRequest` | `getSw_TermRequest()` Gets the TermRequest.
`Sw_TermResponse` | `getSw_TermResponse()` Gets the TermResponse.
`SwInt_ExchangeRequest` | `getSwInt_ExchangeRequest()` Gets the ExchangeRequest.
`SwInt_ExchangeResponse` | `getSwInt_ExchangeResponse()` Gets the ExchangeResponse.
`SwInt_HandleRequest` | `getSwInt_HandleRequest()` Gets the HandleRequest.
`SwInt_HandleResponse` | `getSwInt_HandleResponse()` Gets the HandleResponse.
`SwInt_SendRequest` | `getSwInt_SendRequest()` Gets the SendRequest.
`SwInt_SendResponse` | `getSwInt_SendResponse()` Gets the SendResponse.
`SwInt_WaitRequest` | `getSwInt_WaitRequest()` Gets the WaitRequest.
`SwInt_WaitResponse` | `getSwInt_WaitResponse()` Gets the WaitResponse.
`SwSec_CreateContextRequest` | `getSwSec_CreateContextRequest()` Gets the CreateContextRequest.
`SwSec_CreateContextResponse` | `getSwSec_CreateContextResponse()` Gets the CreateContextResponse.
`SwSec_DestroyContextRequest` | `getSwSec_DestroyContextRequest()` Gets the DestroyContextRequest.
`SwSec_DestroyContextResponse` | `getSwSec_DestroyContextResponse()` Gets the DestroyContextResponse.
`SwSec_SignEncryptRequest` | `getSwSec_SignEncryptRequest()` Gets the SignEncryptRequest.
`SwSec_SignEncryptResponse` | `getSwSec_SignEncryptResponse()` Gets the SignEncryptResponse.
`SwSec_VerifyDecryptRequest` | `getSwSec_VerifyDecryptRequest()` Gets the SwSec_VerifyDecryptRequest.
`SwSec_VerifyDecryptResponse` | `getSwSec_VerifyDecryptResponse()` Gets the SwSec_VerifyDecryptResponse.

Method Detail

### getSw_InitRequest

    Sw_InitRequest getSw_InitRequest()

  Gets the InitRequest.

  Parameters:
    None.

  Returns:
    `Sw_InitRequest` - Returns the InitRequest.
  Throws:
    None.

### getSw_InitResponse

    Sw_InitResponse getSw_InitResponse()

  Gets the InitResponse.

  Parameters:
    None.

  Returns:
    `Sw_InitResponse` - Returns the InitResponse.
  Throws:
    None.

### getSw_HandleInitRequest

    Sw_HandleInitRequest getSw_HandleInitRequest()

  Gets the HandleInitRequest.

  Parameters:
    None.

  Returns:
    `Sw_HandleInitRequest` - Returns the HandleInitRequest.
  Throws:
    None.

### getSw_HandleInitResponse

    Sw_HandleInitResponse getSw_HandleInitResponse()

  Gets the HandleInitResponse.

  Parameters:
    None.

  Returns:
    `Sw_HandleInitResponse` - Returns the HandleInitResponse.
  Throws:
    None.

### getSw_TermRequest

    Sw_TermRequest getSw_TermRequest()

  Gets the TermRequest.

  Parameters:
    None.

  Returns:
    `Sw_TermRequest` - Returns the TermRequest.
  Throws:
    None.

### getSw_TermResponse

    Sw_TermResponse getSw_TermResponse()

  Gets the TermResponse.

  Parameters:
    None.

  Returns:
    `Sw_TermResponse` - Returns the TermResponse.
  Throws:
    None.

### getSw_HandleTermRequest

    Sw_HandleTermRequest getSw_HandleTermRequest()

  Gets the HandleTermRequest.

  Parameters:
    None.

  Returns:
    `Sw_HandleTermRequest` - Returns the HandleTermRequest.
  Throws:
    None.

### getSw_HandleTermResponse

    Sw_HandleTermResponse getSw_HandleTermResponse()

  Gets the HandleTermResponse.

  Parameters:
    None.

  Returns:
    `Sw_HandleTermResponse` - Returns the HandleTermResponse.
  Throws:
    None.

### getSwSec_CreateContextRequest

    SwSec_CreateContextRequest getSwSec_CreateContextRequest()

  Gets the CreateContextRequest.

  Parameters:
    None.

  Returns:
    `SwSec_CreateContextRequest` - Returns the CreateContextRequest.
  Throws:
    None.

### getSwSec_CreateContextResponse

    SwSec_CreateContextResponse getSwSec_CreateContextResponse()

  Gets the CreateContextResponse.

  Parameters:
    None.

  Returns:
    `SwSec_CreateContextResponse` - Returns the CreateContextResponse.
  Throws:
    None.

### getSwSec_DestroyContextRequest

    SwSec_DestroyContextRequest getSwSec_DestroyContextRequest()

  Gets the DestroyContextRequest.

  Parameters:
    None.

  Returns:
    `SwSec_DestroyContextRequest` - Returns the DestroyContextRequest.
  Throws:
    None.

### getSwSec_DestroyContextResponse

    SwSec_DestroyContextResponse getSwSec_DestroyContextResponse()

  Gets the DestroyContextResponse.

  Parameters:
    None.

  Returns:
    `SwSec_DestroyContextResponse` - Returns the DestroyContextResponse.
  Throws:
    None.

### getSwSec_SignEncryptRequest

    SwSec_SignEncryptRequest getSwSec_SignEncryptRequest()

  Gets the SignEncryptRequest.

  Parameters:
    None.

  Returns:
    `SwSec_SignEncryptRequest` - Returns the SignEncryptRequest.
  Throws:
    None.

### getSwSec_SignEncryptResponse

    SwSec_SignEncryptResponse getSwSec_SignEncryptResponse()

  Gets the SignEncryptResponse.

  Parameters:
    None.

  Returns:
    `SwSec_SignEncryptResponse` - Returns the SignEncryptResponse.
  Throws:
    None.

### getSwSec_VerifyDecryptRequest

    SwSec_VerifyDecryptRequest getSwSec_VerifyDecryptRequest()

  Gets the SwSec_VerifyDecryptRequest.

  Parameters:
    None.

  Returns:
    `SwSec_VerifyDecryptRequest` - Returns the SwSec_VerifyDecryptRequest.
  Throws:
    None.

### getSwSec_VerifyDecryptResponse

    SwSec_VerifyDecryptResponse getSwSec_VerifyDecryptResponse()

  Gets the SwSec_VerifyDecryptResponse.

  Parameters:
    None.

  Returns:
    `SwSec_VerifyDecryptResponse` - Returns the SwSec_VerifyDecryptResponse.
  Throws:
    None.

### getSwInt_ExchangeRequest

    SwInt_ExchangeRequest getSwInt_ExchangeRequest()

  Gets the ExchangeRequest.

  Parameters:
    None.

  Returns:
    `SwInt_ExchangeRequest` - Returns the ExchangeRequest.
  Throws:
    None.

### getSwInt_ExchangeResponse

    SwInt_ExchangeResponse getSwInt_ExchangeResponse()

  Gets the ExchangeResponse.

  Parameters:
    None.

  Returns:
    `SwInt_ExchangeResponse` - Returns the ExchangeResponse.
  Throws:
    None.

### getSwInt_SendRequest

    SwInt_SendRequest getSwInt_SendRequest()

  Gets the SendRequest.

  Parameters:
    None.

  Returns:
    `SwInt_SendRequest` - Returns the SendRequest.
  Throws:
    None.

### getSwInt_SendResponse

    SwInt_SendResponse getSwInt_SendResponse()

  Gets the SendResponse.

  Parameters:
    None.

  Returns:
    `SwInt_SendResponse` - Returns the SendResponse.
  Throws:
    None.

### getSwInt_WaitRequest

    SwInt_WaitRequest getSwInt_WaitRequest()

  Gets the WaitRequest.

  Parameters:
    None.

  Returns:
    `SwInt_WaitRequest` - Returns the WaitRequest.
  Throws:
    None.

### getSwInt_WaitResponse

    SwInt_WaitResponse getSwInt_WaitResponse()

  Gets the WaitResponse.

  Parameters:
    None.

  Returns:
    `SwInt_WaitResponse` - Returns the WaitResponse.
  Throws:
    None.

### getSwInt_HandleRequest

    SwInt_HandleRequest getSwInt_HandleRequest()

  Gets the HandleRequest.

  Parameters:
    None.

  Returns:
    `SwInt_HandleRequest` - Returns the HandleRequest.
  Throws:
    None.

### getSwInt_HandleResponse

    SwInt_HandleResponse getSwInt_HandleResponse()

  Gets the HandleResponse.

  Parameters:
    None.

  Returns:
    `SwInt_HandleResponse` - Returns the HandleResponse.
  Throws:
    None.

### getSw_GetDateTimeRequest

    Sw_GetDateTimeRequest getSw_GetDateTimeRequest()

  Gets the GetDateTimeRequest.

  Parameters:
    None.

  Returns:
    `Sw_GetDateTimeRequest` - Returns the GetDateTimeRequest.
  Throws:
    None.

### getSw_GetDateTimeResponse

    Sw_GetDateTimeResponse getSw_GetDateTimeResponse()

  Gets the GetDateTimeResponse.

  Parameters:
    None.

  Returns:
    `Sw_GetDateTimeResponse` - Returns the GetDateTimeResponse.
  Throws:
    None.

### getSw_SMAGetStatusRequest

    Sw_SMAGetStatusRequest getSw_SMAGetStatusRequest()

  Gets the SMAGetStatusRequest.

  Parameters:
    None.

  Returns:
    `Sw_SMAGetStatusRequest` - Returns the SMAGetStatusRequest.
  Throws:
    None.

### getSw_SMAGetStatusResponse

    Sw_SMAGetStatusResponse getSw_SMAGetStatusResponse()

  Gets the SMAGetStatusResponse.

  Parameters:
    None.

  Returns:
    `Sw_SMAGetStatusResponse` - Returns the SMAGetStatusResponse.
  Throws:
    None.

### getSw_ExchangeFileRequest

    Sw_ExchangeFileRequest getSw_ExchangeFileRequest()

  Gets the ExchangeFileRequest.

  Parameters:
    None.

  Returns:
    `Sw_ExchangeFileRequest` - Returns the ExchangeFileRequest.
  Throws:
    None.

### getSw_ExchangeFileResponse

    Sw_ExchangeFileResponse getSw_ExchangeFileResponse()

  Gets the ExchangeFileResponse.

  Parameters:
    None.

  Returns:
    `Sw_ExchangeFileResponse` - Returns the ExchangeFileResponse.
  Throws:
    None.

### getSw_HandleFileRequest

    Sw_HandleFileRequest getSw_HandleFileRequest()

  Gets the HandleFileRequest.

  Parameters:
    None.

  Returns:
    `Sw_HandleFileRequest` - Returns the HandleFileRequest.
  Throws:
    None.

### getSw_HandleFileResponse

    Sw_HandleFileResponse getSw_HandleFileResponse()

  Gets the HandleFileResponse.

  Parameters:
    None.

  Returns:
    `Sw_HandleFileResponse` - Returns the HandleFileResponse.
  Throws:
    None.

### getSw_FetchFileRequest

    Sw_FetchFileRequest getSw_FetchFileRequest()

  Gets the FetchFileRequest.

  Parameters:
    None.

  Returns:
    `Sw_FetchFileRequest` - Returns the FetchFileRequest.
  Throws:
    None.

### getSw_FetchFileResponse

    Sw_FetchFileResponse getSw_FetchFileResponse()

  Gets the FetchFileResponse.

  Parameters:
    None.

  Returns:
    `Sw_FetchFileResponse` - Returns the FetchFileResponse.
  Throws:
    None.

### getSw_GetFileStatusRequest

    Sw_GetFileStatusRequest getSw_GetFileStatusRequest()

  Gets the GetFileStatusRequest.

  Parameters:
    None.

  Returns:
    `Sw_GetFileStatusRequest` - Returns the GetFileStatusRequest.
  Throws:
    None.

### getSw_GetFileStatusResponse

    Sw_GetFileStatusResponse getSw_GetFileStatusResponse()

  Gets the GetFileStatusResponse.

  Parameters:
    None.

  Returns:
    `Sw_GetFileStatusResponse` - Returns the GetFileStatusResponse.
  Throws:
    None.

### getSw_ListFileStatusRequest

    Sw_ListFileStatusRequest getSw_ListFileStatusRequest()

  Gets the ListFileStatusRequest.

  Parameters:
    None.

  Returns:
    `Sw_ListFileStatusRequest` - Returns the ListFileStatusRequest.
  Throws:
    None.

### getSw_ListFileStatusResponse

    Sw_ListFileStatusResponse getSw_ListFileStatusResponse()

  Gets the ListFileStatusResponse.

  Parameters:
    None.

  Returns:
    `Sw_ListFileStatusResponse` - Returns the ListFileStatusResponse.
  Throws:
    None.

### getSw_AbortFileRequest

    Sw_AbortFileRequest getSw_AbortFileRequest()

  Gets the AbortFileRequest.

  Parameters:
    None.

  Returns:
    `Sw_AbortFileRequest` - Returns the AbortFileRequest.
  Throws:
    None.

### getSw_AbortFileResponse

    Sw_AbortFileResponse getSw_AbortFileResponse()

  Gets the AbortFileResponse.

  Parameters:
    None.

  Returns:
    `Sw_AbortFileResponse` - Returns the AbortFileResponse.
  Throws:
    None.

### getSw_SubscribeFileEventRequest

    Sw_SubscribeFileEventRequest getSw_SubscribeFileEventRequest()

  Gets the SubscribeFileEventRequest.

  Parameters:
    None.

  Returns:
    `Sw_SubscribeFileEventRequest` - Returns the SubscribeFileEventRequest.
  Throws:
    None.

### getSw_SubscribeFileEventResponse

    Sw_SubscribeFileEventResponse getSw_SubscribeFileEventResponse()

  Gets the SubscribeFileEventResponse.

  Parameters:
    None.

  Returns:
    `Sw_SubscribeFileEventResponse` - Returns the SubscribeFileEventResponse.
  Throws:
    None.

### getSw_HandleFileEventRequest

    Sw_HandleFileEventRequest getSw_HandleFileEventRequest()

  Gets the HandleFileEventRequest.

  Parameters:
    None.

  Returns:
    `Sw_HandleFileEventRequest` - Returns the HandleFileEventRequest.
  Throws:
    None.

### getSw_HandleFileEventResponse

    Sw_HandleFileEventResponse getSw_HandleFileEventResponse()

  Gets the HandleFileEventResponse.

  Parameters:
    None.

  Returns:
    `Sw_HandleFileEventResponse` - Returns the HandleFileEventResponse.
  Throws:
    None.

### getSw_GetFileDigestRequest

    Sw_GetFileDigestRequest getSw_GetFileDigestRequest()

  Gets the GetFileDigestRequest.

  Parameters:
    None.

  Returns:
    `Sw_GetFileDigestRequest` - Returns the GetFileDigestRequest.
  Throws:
    None.

### getSw_GetFileDigestResponse

    Sw_GetFileDigestResponse getSw_GetFileDigestResponse()

  Gets the GetFileDigestResponse.

  Parameters:
    None.

  Returns:
    `Sw_GetFileDigestResponse` - Returns the GetFileDigestResponse.
  Throws:
    None.

### getSw_ExchangeSnFRequest

    Sw_ExchangeSnFRequest getSw_ExchangeSnFRequest()

  Gets the ExchangeSnFRequest.

  Parameters:
    None.

  Returns:
    `Sw_ExchangeSnFRequest` - Returns the ExchangeSnFRequest.
  Throws:
    None.

### getSw_ExchangeSnFResponse

    Sw_ExchangeSnFResponse getSw_ExchangeSnFResponse()

  Gets the ExchangeSnFResponse.

  Parameters:
    None.

  Returns:
    `Sw_ExchangeSnFResponse` - Returns the ExchangeSnFResponse.
  Throws:
    None.

### getSw_HandleSnFRequest

    Sw_HandleSnFRequest getSw_HandleSnFRequest()

  Gets the HandleSnFRequest.

  Parameters:
    None.

  Returns:
    `Sw_HandleSnFRequest` - Returns the HandleSnFRequest.
  Throws:
    None.

### getSw_HandleSnFResponse

    Sw_HandleSnFResponse getSw_HandleSnFResponse()

  Gets the HandleSnFResponse.

  Parameters:
    None.

  Returns:
    `Sw_HandleSnFResponse` - Returns the HandleSnFResponse.
  Throws:
    None.

### getSw_PullSnFRequest

    Sw_PullSnFRequest getSw_PullSnFRequest()

  Gets the PullSnFRequest.

  Parameters:
    None.

  Returns:
    `Sw_PullSnFRequest` - Returns the PullSnFRequest.
  Throws:
    None.

### getSw_PullSnFResponse

    Sw_PullSnFResponse getSw_PullSnFResponse()

  Gets the PullSnFResponse.

  Parameters:
    None.

  Returns:
    `Sw_PullSnFResponse` - Returns the PullSnFResponse.
  Throws:
    None.

### getSw_GetSnFStatusRequest

    Sw_GetSnFStatusRequest getSw_GetSnFStatusRequest()

  Gets the GetSnFStatusRequest.

  Parameters:
    None.

  Returns:
    `Sw_GetSnFStatusRequest` - Returns the GetSnFStatusRequest.
  Throws:
    None.

### getSw_GetSnFStatusResponse

    Sw_GetSnFStatusResponse getSw_GetSnFStatusResponse()

  Gets the GetSnFStatusResponse.

  Parameters:
    None.

  Returns:
    `Sw_GetSnFStatusResponse` - Returns the GetSnFStatusResponse.
  Throws:
    None.

### getSw_HandleResponseInfoRequest

    Sw_HandleResponseInfoRequest getSw_HandleResponseInfoRequest()

  Gets the HandleResponseInfoRequest.

  Parameters:
    None.

  Returns:
    `Sw_HandleResponseInfoRequest` - Returns the HandleResponseInfoRequest.
  Throws:
    None.

### getSw_HandleResponseInfoResponse

    Sw_HandleResponseInfoResponse getSw_HandleResponseInfoResponse()

  Gets the HandleResponseInfoResponse.

  Parameters:
    None.

  Returns:
    `Sw_HandleResponseInfoResponse` - Returns the HandleResponseInfoResponse.
  Throws:
    None.

### getSw_KMACertifyRequest

    Sw_KMACertifyRequest getSw_KMACertifyRequest()

  Gets the CertifyRequest.

  Parameters:
    None.

  Returns:
    `Sw_KMACertifyRequest` - Returns the CertifyRequest.
  Throws:
    None.

### getSw_KMACertifyResponse

    Sw_KMACertifyResponse getSw_KMACertifyResponse()

  Gets the CertifyResponse.

  Parameters:
    None.

  Returns:
    `Sw_KMACertifyResponse` - Returns the CertifyResponse.
  Throws:
    None.

### getSw_KMACertListRequest

    Sw_KMACertListRequest getSw_KMACertListRequest()

  Gets the CertListRequest.

  Parameters:
    None.

  Returns:
    `Sw_KMACertListRequest` - Returns the CertListRequest.
  Throws:
    None.

### getSw_KMACertListResponse

    Sw_KMACertListResponse getSw_KMACertListResponse()

  Gets the CertListResponse.

  Parameters:
    None.

  Returns:
    `Sw_KMACertListResponse` - Returns the CertListResponse.
  Throws:
    None.

### getSw_KMACertInfoRequest

    Sw_KMACertInfoRequest getSw_KMACertInfoRequest()

  Gets the CertInfoRequest.

  Parameters:
    None.

  Returns:
    `Sw_KMACertInfoRequest` - Returns the CertInfoRequest.
  Throws:
    None.

### getSw_KMACertInfoResponse

    Sw_KMACertInfoResponse getSw_KMACertInfoResponse()

  Gets the CertInfoResponse.

  Parameters:
    None.

  Returns:
    `Sw_KMACertInfoResponse` - Returns the CertInfoResponse.
  Throws:
    None.

### getSw_KMAChangePasswordRequest

    Sw_KMAChangePasswordRequest getSw_KMAChangePasswordRequest()

  Gets the ChangePasswordRequest.

  Parameters:
    None.

  Returns:
    `Sw_KMAChangePasswordRequest` - Returns the ChangePasswordRequest.
  Throws:
    None.

### getSw_KMAChangePasswordResponse

    Sw_KMAChangePasswordResponse getSw_KMAChangePasswordResponse()

  Gets the ChangePasswordResponse.

  Parameters:
    None.

  Returns:
    `Sw_KMAChangePasswordResponse` - Returns the ChangePasswordResponse.
  Throws:
    None.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.